petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetPeriodicity

Get the description of mesh periodicity

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetPeriodicity(DM dm, PetscBool *per, const PetscReal **maxCell, const PetscReal **L, const DMBoundaryType **bd)

### Input Parameters

dm -The DM object

### Output Parameters

| per | - Whether the DM is periodic or not
| maxCell | - Over distances greater than this, we can assume a point has crossed over to another sheet, when trying to localize cell coordinates
| L | - If we assume the mesh is a torus, this is the length of each coordinate
| bd | - This describes the type of periodicity in each topological dimension

### See Also

DMGetPeriodicity()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages